# Uses of Interface
com.sun.jdi.ArrayReference

Packages that use ArrayReference
Package
Description
com.sun.jdi
This is the core package of the Java Debug Interface (JDI), it defines mirrors for values, types, and the target VirtualMachine itself - as well bootstrapping facilities.

## Uses of ArrayReference in com.sun.jdi

Methods in com.sun.jdi that return ArrayReference
Modifier and Type
Method
Description
`ArrayReference`
ArrayType.`newInstance​(int length)`
Creates a new instance of this array class in the target VM.